package com.xintong.visualinspection.bean;

/**
 * 文件名：MemuType
 * 版本信息：日期：2018/4/23 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
public enum MenuType {
    SFZ(10),FWQ(20),QZD(30),CD(40);

    private Integer value;

    private MenuType(int value){
        this.value = value;
    }

    public  Integer getValue(){
        return this.value;
    }

    public static MenuType getMenuTypeByValue(int value) {
        for (MenuType c : MenuType.values()) {
            if (c.value == value) {
                return c;
            }
        }
        return null;
    }
}
